org.eclipse.gef.dot.internal.ui.language.quickfix

## Class DotHtmlLabelQuickfixProvider

- java.lang.Object
- - org.eclipse.xtext.ui.editor.quickfix.AbstractDeclarativeQuickfixProvider
  - - org.eclipse.xtext.ui.editor.quickfix.DefaultQuickfixProvider
    - - org.eclipse.gef.dot.internal.ui.language.quickfix.DotHtmlLabelQuickfixProvider

All Implemented Interfaces:
  org.eclipse.xtext.ui.editor.quickfix.IssueResolutionProvider

    public class DotHtmlLabelQuickfixProvider
    extends org.eclipse.xtext.ui.editor.quickfix.DefaultQuickfixProvider

Custom quickfixes. see http://www.eclipse.org/Xtext/documentation.html#quickfixes

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.xtext.ui.editor.quickfix.DefaultQuickfixProvider

`org.eclipse.xtext.ui.editor.quickfix.DefaultQuickfixProvider.CrossRefResolutionConverter`

### Nested classes/interfaces inherited from interface org.eclipse.xtext.ui.editor.quickfix.IssueResolutionProvider

`org.eclipse.xtext.ui.editor.quickfix.IssueResolutionProvider.NullImpl`

### Constructor Summary

Constructors
Constructor and Description
`DotHtmlLabelQuickfixProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `fixInvalidTagName(org.eclipse.xtext.validation.Issue issue, org.eclipse.xtext.ui.editor.quickfix.IssueResolutionAcceptor acceptor)`

### Methods inherited from class org.eclipse.xtext.ui.editor.quickfix.DefaultQuickfixProvider

`createLinkingIssueResolutions, fixCrossReferenceImage, fixCrossReferenceLabel, getModificationContextFactory, getQualifiedNameConverter, getResolutions, getResolutionsForLinkingIssue, getScopeProvider, getSimilarityMatcher, getUnresolvedEReference, hasResolutionFor, queryScope`

### Methods inherited from class org.eclipse.xtext.ui.editor.quickfix.AbstractDeclarativeQuickfixProvider

`collectMethods, getFixMethodPredicate, getFixMethods, getIssueResolutionAcceptorProvider, getResolutions, setIssueResolutionAcceptorProvider`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DotHtmlLabelQuickfixProvider

    public DotHtmlLabelQuickfixProvider()

### Method Detail

#### fixInvalidTagName

    public void fixInvalidTagName(org.eclipse.xtext.validation.Issue issue,
                                  org.eclipse.xtext.ui.editor.quickfix.IssueResolutionAcceptor acceptor)